# Tweaks for Windows
Tools for managing Windows setting

* [`hvswitch`.cmd](https://git.hmp.today/pavel.muhortov/tweaks-for-windows#hvswitch-cmd)
* [`rdpusers`.cmd](https://git.hmp.today/pavel.muhortov/tweaks-for-windows#rdpusers-cmd)

____
## `hvswitch`.cmd
**Description:** Microsoft Hyper-V switch on/off  
**Dependencies:** Windows (tested version 10.0.19043)

|  POSITION | PARAMETERS   |       DESCRIPTION      |    DEFAULT    |
|-----------|--------------|------------------------|---------------|
|     1     |    **[qn]**    |execution without pauses|     `None`    |
|     2     |    **[y]**    |enable Hyper-V, if it off|     `None`    |
|     2     |    **[n]**    |disable Hyper-V, if it on|     `None`    |


Example usage in terminal:
```cmd
.\hvswitch.cmd qn y
```

____
## `rdpusers`.cmd
**Description:** RDS Shadow Connection  
**Dependencies:** permission on target hostname (gpedit.msc -> Computer Configuration -> Policies -> Administrative Templates -> Windows components -> Remote Desktop Services -> Remote Session Host -> Connections -> Set rules for remote control of Remote Desktop Services user sessions: Full Control without users's permission)


|  POSITION | PARAMETERS   |       DESCRIPTION      |    DEFAULT    |
|-----------|--------------|------------------------|---------------|
|     1     |    **<host>**    |hostname or address with sessions for connect|     `None`    |


Example usage in terminal:
```cmd
.\rdpusers.cmd ts.domain.local
```

____
